Bug 406 - maemo lxr has not been fully indexed, search does not work
: maemo lxr has not been fully indexed, search does not work
Status: RESOLVED FIXED
Product: maemo.org Website
General
: unspecified
: All Linux
: Medium normal (vote)
: 4.1.1
Assigned To: Ferenc Szekely
:
: http://maemo.org/lxr/ident?i=show_view
:
:
:
  Show dependency tree
 
Reported: 2006-02-07 15:59 UTC by Jussi Kukkonen
Modified: 2008-09-29 16:01 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Jussi Kukkonen (reporter) 2006-02-07 15:59:11 UTC
Example:
Doing an identifier search with "show_view" gives 0 results:
  http://maemo.org/lxr/ident?i=show_view
There is a function show_view in application installer, however: 
  http://maemo.org/lxr/source/osso-application-installer/src/main.cc
Some directories are indexed (like /gtk+/), but not all.

Also, LXR "general search" does not function at all:
"Version 'haf' has not been indexed and is unavailable for searching."
Comment 1 Maemo QA (deprecated) 2006-05-08 17:30:48 UTC
Setting target milestone to 2.0
Comment 2 Tommi Komulainen nokia 2006-08-21 16:34:52 UTC
Still broken. Bump the milestone?
Comment 3 Ferenc Szekely maemo.org 2007-01-29 23:07:06 UTC
Timeless, would you like to take over lxr? It seems I got no time to play with
it anymore. Perhaps after you finished the fine tuning of your internal
installation we could figure out how to make it available at maemo.org?
Comment 4 timeless 2007-01-30 00:05:57 UTC
if you give me an account, i can try to look at this some weekend.
Comment 5 Ferenc Szekely maemo.org 2007-12-04 21:05:37 UTC
no time.
Comment 6 timeless 2007-12-04 21:19:39 UTC
chinook is indexed:
http://timeless.justdave.net/mxr-test/chinook/

garage has an old index (i'm trying to rsync newer sources to it *now*, but
this is a big thing...)

Filesystem size   used  avail capacity  Mounted on
garage     362G   9.1G    80G    11%    /somewhere/garage

maemo is up and relatively current, but not yet indexed (i think it got killed
by a process reaper and i need to figure out how i want to deal w/ it)
http://timeless.justdave.net/mxr-test/maemo

Once I have maemo indexed, I'll probably ask ferenc to just point lxr.maemo.org
or mxr.maemo.org to timeless.justdave.net and i'll deal w/ serving it from that
box.

(This week's over, but with luck maybe the bits will be ready next week.)
Comment 7 timeless 2008-07-02 18:03:54 UTC
fwiw, ferenc added a DNS record today and http://mxr.maemo.org/ is now live.
We're very sorry for the time it took to get it up, but it's finally there :)
Comment 8 Eero Tamminen nokia 2008-07-03 11:53:03 UTC
(In reply to comment #7)
> fwiw, ferenc added a DNS record today and http://mxr.maemo.org/ is now live.
> We're very sorry for the time it took to get it up, but it's finally there :)

Um, this is marked wontfix, should it be now fixed? :-)
Comment 9 Andre Klapper maemo.org 2008-07-04 16:44:52 UTC
I'd call it fixed in a kind of way - the original complaint is that you cannot
correctly search by using the code web interface, and this HAS been fixed now.
But I also don't have a strong opinion on this.